package api

import (
	"fmt"
	"strings"
)

func (i ItemEncoding) MarshalText() ([]byte, error) {
	s := i.String()[4:]
	s = strings.ToLower(s)
	return []byte(s), nil
}

func (i *ItemEncoding) UnmarshalText(text []byte) error {
	sText := string(text)
	for idx := range _ItemEncoding_index[1:] {
		if strings.EqualFold(sText, _ItemEncoding_name[_ItemEncoding_index[idx]+4:_ItemEncoding_index[idx+1]]) {
			*i = ItemEncoding(idx)
			return nil
		}
	}
	return fmt.Errorf("Invalid ItemEncoding: '%s'", text)
}
